<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:m="http://www.entaxy.ru/schemas/entaxy-mediators/1.0" targetNamespace="http://www.entaxy.ru/schemas/entaxy-mediators/1.0" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xs:element name="connector-selector" type="m:Tconnector-selector">
		<xs:annotation>
			<xs:documentation>Comment describing your root element</xs:documentation>
		</xs:annotation>
	</xs:element>
	<xs:complexType name="Tconnector-selector">
		<xs:sequence>
			<xs:element name="properties-to-use" minOccurs="0">
				<xs:complexType>
					<xs:sequence>
						<xs:element name="property" type="xs:string" maxOccurs="unbounded"/>
					</xs:sequence>
				</xs:complexType>
			</xs:element>
			<xs:element name="patterns" minOccurs="0">
				<xs:complexType>
					<xs:sequence>
						<xs:element name="pattern" type="xs:string" maxOccurs="unbounded"/>
					</xs:sequence>
				</xs:complexType>
			</xs:element>
			<xs:element name="options" minOccurs="0">
				<xs:complexType>
					<xs:all>
						<xs:element name="fail-back-to-legacy-router" type="xs:boolean" minOccurs="0"/>
						<xs:element name="use-the-only-connector" type="xs:boolean" minOccurs="0"/>
						<xs:element name="use-default-connector" type="xs:boolean" minOccurs="0"/>
						<xs:element name="connector-preferred-as-mandatory" type="xs:boolean" minOccurs="0"/>
						<xs:element name="allow-all-stars-pattern" type="xs:boolean" minOccurs="0"/>
						<xs:element name="treat-no-property-as-any" type="xs:boolean" minOccurs="0"/>
					</xs:all>
				</xs:complexType>
			</xs:element>
		</xs:sequence>
	</xs:complexType>
</xs:schema>
